@import 'variables';
@import 'helpers';


*, *:after, *:before {
    box-sizing: border-box;
}

html {

    overflow-y: scroll;
    -webkit-overflow-scrolling: none;
}

body {
  background: white;
  font-family: $primary-font;
  margin: 0;
}

h1 {
  font-family: $secondary-font;
}

h1, h2 {
  font-weight: normal;
}

/* Restricting to a class to save time */
a.default {
  position: relative;
  color: black;
  text-decoration: none;
  letter-spacing: 0.4em;

  &:before {
    content: ' ';
    background: #ff5c00;
    width: 50px;
    max-width: 100%;
    display: block;
    position: absolute;
    z-index: -1;
    height: 65%;
    top: 9px;
    left: -6px;
  }

  &:after {
    content: '>';
    margin-left: 1em;
  }
}

.flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
}

.flex-column {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.flex-item {
    display: flex;
    flex-direction: column;
}

.flex {
  display: flex;
}

.flex-column {
	flex-direction: column;
}

.justify-center {
	justify-content: center;
}

.justify-start {
	justify-content: start;
}

.justify-end {
	justify-content: end;
}

.justify-space-between {
	justify-content: space-between;
}

.justify-space-around {
	justify-content: space-around;
}

.align-center {
	align-items: center;
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}


.quote {
  font-family: $secondary-font;
  text-align: center;


  &::before {
    content: url(/static/img/quote-icon.png);
    width: 5em;
  }

  .author {
    color: gray;
    font-family: $primary-font;
    &:before {
      content: '-';
      margin-right: 1em;
    }
  }
}


.slide {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-left: 50px;
	margin-right: 50px;

  p {
    color: gray;
    line-height: 2em;
  }
}


.slide1 .slide-content {
	flex-direction: row;
	display: flex;
	flex: 1;
	justify-content: center;
	align-items: center;

	position: relative;

	.slide1-text {
		font-size: 5em;
		text-align: right;
    margin-right: -50px;
    z-index: 2;
	}
	.slide1-img {

	}

	.slide1-img-g1 {
		position: absolute;
		bottom: 50%;
	}
	.slide1-img-g2 {
		position: absolute;
		left: 60%;
		top: 50%;
	}
}

.slide2 .slide-content {
	display: flex;
	flex-direction: column;
	flex: 1;
	justify-content: center;
	align-items: center;

	.top {
		display: flex;
		flex-direction: row;
		justify-content: space-between;
		align-items: center;
    .main {
      width: 90%;
      float: right;
      align-items: normal;
    }
	}

	.bottom {
		display: flex;
		margin-top: 50px;
		flex-direction: column;
		justify-content: center;
		align-items: center;
	}

}
